Skip to main content
POST
/
wallets
Create wallet
curl --request POST \
  --url https://sandbox.kulmipay.com/api/v1/wallets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "can_disburse": true
}
'
{
  "label": "<string>",
  "wallet_id": "<string>",
  "can_disburse": true,
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.kulmipay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:ISSecretKey_test_xxxxxxxxxxxxxxxx
required

Use your KulmiPay secret key as the Bearer token.

Body

application/json
label
string
required
Minimum string length: 1
Pattern: ^[a-zA-Z0-9-_ ]+$
currency
enum<string>
Available options:
KES,
USD,
EUR,
GBP
wallet_type
enum<string>
Available options:
SETTLEMENT,
WORKING
can_disburse
boolean

Response

201 - application/json
label
string
required
Minimum string length: 1
Pattern: ^[a-zA-Z0-9-_ ]+$
wallet_id
string
read-only
currency
enum<string>
Available options:
KES,
USD,
EUR,
GBP
wallet_type
enum<string>
Available options:
SETTLEMENT,
WORKING
can_disburse
boolean
created_at
string<date-time> | null
read-only